import { scaleOrdinal } from 'd3';


const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['red','yellow']);
 
const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([50 , 20]);

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  
  const bowl = selection.selectAll('rect')
    .data([null])
  .enter().append('rect')
    .attr('y', 110)
    .attr('width',  900)
    .attr('height', 400)
    .attr('rx', height / 2);
  
  const groups = selection.selectAll('g')
    .data(fruits);
  const groupsEnter = groups.enter().append('g');
    groupsEnter.merge(groups)
      .attr('transform', (d, i) => 
            `translate(${i * 180 + 100},${height / 2})`
       );
  groups.exit().remove();
  
  const circles = groups.select('circle');
  groupsEnter
    .append('circle')
    .merge(circles)
      .attr('fill', d => colorScale(d.type))
      .attr('r', d => radiusScale(d.type));
  circles.exit().remove();
  
  const text = groups.select('text');
  groupsEnter
    .append('text')
    .merge(text)
       .text(d => d.type)
       .attr('y', 120);  
}